Bug 1778516 - Xen iPXE misconfiguration
Summary: Xen iPXE misconfiguration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-01 20:03 UTC by W. Michael Petullo
Modified: 2020-03-22 21:38 UTC (History)
3 users (show)

Fixed In Version: xen-4.13.0-5.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 20:38:09 UTC
Type: Bug


Attachments (Terms of Use)

Description W. Michael Petullo 2019-12-01 20:03:41 UTC
Description of problem:
I recently updated a Xen host's Dom0 from Fedora 29 to Fedora 31. I found that my VMs would no longer boot after the update.

Version-Release number of selected component (if applicable):
xen-4.12.1-7.fc31.x86_64

How reproducible:
Every time

Steps to Reproduce:
xl create -c foo.cfg

Actual results:
Parsing config from foo.cfg
libxl: info: libxl_create.c:110:libxl__domain_build_info_setdefault: qemu-xen is unavailable, using qemu-xen-traditional instead: No such file or directory
libxl: info: libxl_create.c:110:libxl__domain_build_info_setdefault: qemu-xen is unavailable, using qemu-xen-traditional instead: No such file or directory
xc: error: panic: xc_dom_core.c:206: failed to open file '/usr/share/ipxe': No such file or directory: Internal error
libxl: error: libxl_dom.c:1156:libxl__domain_firmware: failed to load IPXE /usr/share/ipxe (-1): No such file or directory
[...]


Expected results:
The VM should boot, as it did with Fedora 29.

Additional info:
The text "failed to open file '/usr/share/ipxe'" led me to install ipxe-roms-qemu.noarch. This did not fix the problem, but it caused me to realize that Xen seemed to be opening /usr/share/ipxe as a file, whereas ipxe-roms-qemu creates a directory named /usr/share/ipxe. The ipxe-roms-qemu installs its ROMs in the directory /usr/share/ipxe.

Ultimately, I "fixed" this by pulling 10222000.rom out of ipxe-roms-qemu's /usr/share/ipxe, uninstalling ipxe-roms-qemu (which rmdir'ed /usr/share/ipxe), and copying 10222000.rom to the file /usr/share/ipxe.

It seems that Xen should either walk the /usr/share/ipxe directory looking for ROMs or the Xen package should configure Xen to open a particular ROM, say /usr/share/ipxe/10222000.rom, from within /usr/share/ipxe.

Comment 1 Fedora Update System 2020-03-12 18:49:11 UTC
xen-4.13.0-5.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f3fe96ff24

Comment 2 Fedora Update System 2020-03-16 20:38:09 UTC
xen-4.13.0-5.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 W. Michael Petullo 2020-03-22 21:38:41 UTC
Confirmed fixed. Thank you!


Note You need to log in before you can comment on or make changes to this bug.